#pragma once
#include "serial_port.h"

class SlaveController
{
    SerialPort m_inputPort, m_outputPort;
    int m_id= 0;
    bool m_sendFeedback= true;
    bool m_outputConsoleMsgs= false;
    bool m_useNonBlockingIO = false;

    void ParseArguments(int argc, char* argv[]);
    bool IsValid(char* buf);
public:
    SlaveController();
    ~SlaveController();

    int Run(int argc, char* argv[]);
};
